# $Revision: 1.48 $, $Date: 2012/06/26 15:52:23 $

%define		qtver	4.4.3

Summary:	kdiff3 - Graphical tool for merging two or three files or directories
Summary(pl.UTF-8):	kdiff3 - Graficzne narzędzie do łączenia zawartości wielu plików lub katalogów
Name:		kdiff3
Version:	0.9.96
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/kdiff3/%{name}-%{version}.tar.gz
# Source0-md5:	46b96befddf3448a3cb673f018c6f6f9
URL:		http://kdiff3.sourceforge.net/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdebase-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	diffutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDiff3 is program able to compares two or three text input files,
shows the differences line by line and character by character (!),
provides an automatic merge-facility and an integrated editor for
comfortable solving of merge-conflicts and has an intuitive graphical
user interface,and it can also compare and merge directories!

%description -l pl.UTF-8
KDiff3 jest programem zdolnym do porównywania zawartości dwóch lub
trzech plików, wskazywania różnic linia po linii i znak po znaku; daje
możliwość automatycznego łączenia zawartości plików oraz zintegrowany
edytor do wygodnego rozwiązywania konfliktów powstałych podczas
łączenia zawartości. Posiada intuicyjny graficzny interfejs
użytkownika i może porównywać i łączyć zawartość katalogów.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

# remove locolor icons
%{__rm} -r $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name} --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/kde4/*.so
%{_datadir}/apps/kdiff3
%{_datadir}/apps/kdiff3part
%{_datadir}/kde4/services/%{name}*.desktop
%{_desktopdir}/kde4/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdiff3.spec,v $
Revision 1.48  2012/06/26 15:52:23  gotar
- damn, stop enumerating irrevelant support files

Revision 1.47  2012/06/26 15:44:36  gotar
- s/dl.sourceforge/downloads.sourceforge/ for distfiles to work, mine did

Revision 1.46  2012/06/25 16:00:48  gotar
- upgraded to 0.9.96

Revision 1.45  2011/01/07 11:11:11  arvenil
- install kdiff3_part.rc into correct location
- docbook fixes
- release 2

Revision 1.44  2009/12/02 02:11:51  sparky
- BR: automoc4, gettext-devel, qt4-build, qt4-qmake

Revision 1.43  2009/04/08 19:46:33  zawadaa
up to 0.9.95

Revision 1.42  2009/03/01 09:12:00  arekm
- release 2

Revision 1.41  2009/03/01 09:03:57  arekm
- BR qtsvg

Revision 1.40  2009/03/01 09:01:24  arekm
- rel 1

Revision 1.39  2009/03/01 08:57:47  shadzik
- fix %files and remove locolor icons

Revision 1.38  2009/03/01 08:53:37  shadzik
- qt4 BRs

Revision 1.37  2009/02/28 20:42:07  arekm
- up to 0.9.94 (kde4); broken

Revision 1.36  2007/09/21 23:16:06  wolf
- 0.9.92

Revision 1.35  2007/06/14 18:21:38  arekm
- rel 4

Revision 1.34  2007/03/21 14:20:51  arekm
- rel 3

Revision 1.33  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:59  baggins
- converted to UTF-8

Revision 1.31  2006/11/30 09:35:32  arekm
- rel 2; more patches

Revision 1.30  2006/11/02 01:57:44  shadzik
- 0.9.91

Revision 1.29  2006/05/18 20:40:19  shadzik
- up to 0.9.90
- removed obsolete am.patch

Revision 1.28  2006/04/01 15:21:06  arekm
- rel 2; drop unsermake usage

Revision 1.27  2006/01/31 15:01:16  qboosh
- pl fix

Revision 1.26  2005/04/23 19:49:28  darekr
- unify

Revision 1.25  2005/02/25 14:57:32  charles
- updated to 0.9.88
- BR: gettext-devel

Revision 1.24  2005/02/02 18:10:59  charles
- updated to 0.9.87

Revision 1.23  2004/09/25 15:47:29  undefine
- pack only manpages, not empty dir
- release 5

Revision 1.22  2004/08/21 20:02:38  ankry
- rel. 4 to rebuild

Revision 1.21  2004/07/24 15:15:21  ankry
- removed bogus sr@Latn translation from desktop, rel. 3

Revision 1.20  2004/07/20 09:28:54  qboosh
- added desktop patch instead of broken echo
- dropped unsupported locolor icons, release 2

Revision 1.19  2004/06/26 18:40:58  djurban
- adapterized

Revision 1.18  2004/06/26 18:40:16  djurban
- updated to 0.9.86

Revision 1.17  2004/05/13 20:31:33  ankry
- spaces -> tabs, other cosmetics

Revision 1.16  2004/03/25 14:42:45  matkor
- Release 2. File fixes.

Revision 1.15  2004/03/09 15:19:28  matkor
- Version 0.9.83-1. Removed types patch - code seems to be rewritten.

Revision 1.14  2004/01/11 20:31:59  matkor
- Version 0.9.81.

Revision 1.13  2004/01/09 12:50:07  jajcus
- Release: 3
- AMD64 fixes

Revision 1.12  2004/01/07 18:23:04  qboosh
- added types patch (needed for 64-bit archs), missing dir, attr for *.so
- icon themes moved to iconsdir; release 2

Revision 1.11  2004/01/07 16:13:02  matkor
- Ver. 0.9.80-1.

Revision 1.10  2003/09/01 20:43:11  blues
- release 3 - matkor! Remember to sync HEAD with RA-branch (in your case ;))

Revision 1.9  2003/09/01 07:31:43  blues
- fixed requires (diffutils, not diff3)

Revision 1.8  2003/08/29 10:28:22  matkor
- Merged 0.9.61-2 from Ra-branch. Untested.

Revision 1.1.2.10  2003/08/29 10:24:25  matkor
- Release 2. Missing R: diff3.

Revision 1.1.2.9  2003/07/15 22:03:00  blues
- BR proper autoconf

Revision 1.1.2.8  2003/07/15 20:18:38  blues
- cosmetics

Revision 1.1.2.7  2003/07/15 09:19:21  matkor
- Version 0.9.61. Release 1. STBR for Ra.

Revision 1.1.2.6  2003/07/11 12:01:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.1.2.5  2003/06/06 23:41:20  matkor
- Version 0.9.60

Revision 1.1.2.4  2003/04/15 08:23:15  matkor
- Version 0.9.51.

Revision 1.1.2.3  2003/02/11 12:38:13  qboosh
- fixed doc perms, added missing dir, standarized Source0 URL

Revision 1.1.2.2  2003/02/11 12:35:47  matkor
 - 'typo' ,) pointed out by pascalek.

Revision 1.1.2.1  2003/02/11 12:05:31  matkor
- Place .desktop and ready for Ra IMHO.

Revision 1.1  2003/02/11 11:26:06  matkor
- Totally unfinished for AC. Just to make RA-branch.
